PHP Manual
Prev |  | Next

# ifx_close

(PHP 3 >= 3.0.3, PHP 4, PHP 5)

ifx_close -- Close Informix connection

## Description

bool ifx_close ( [resource link_identifier] )

ifx_close() closes the link to an Informix database that's associated with the specified link identifier.

Note that this isn't usually necessary, as non-persistent open links are automatically closed at the end of the script's execution.

ifx_close() will not close persistent links generated by ifx_pconnect().

## Parameters

`link_identifier`

  The link identifier. If not specified, the last opened link is assumed.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Closing a Informix connection

`<?php $conn_id = ifx_connect ("mydb@ol_srv", "itsme", "mypassword"); /* ... some queries and stuff ... */ ifx_close($conn_id); ?>`

## See Also

ifx_connect()
ifx_pconnect()

Prev | Home | Next
ifx_byteasvarchar | Up | ifx_connect